#!/usr/bin/env python3
# Copyright 2022 Metaswitch Networks - Highly Confidential Material
"""A dict that maps parameters to a 'json pointer', used for constructing the json for Landslide REST calls."""
from jsonpointer import JsonPointer

JSON_MAP = {
    # test session parameters
    "test_folder_id": JsonPointer("/library"),
    "test_session_name": JsonPointer("/name"),
    "ts_id": JsonPointer("/tsGroups/0/tsId"),
    "test_case_list": JsonPointer("/tsGroups/0/testCases"),
    "duration": JsonPointer("/duration"),
    # test case parameters: contained in /tsGroups/0/testcases
    "subscribers": JsonPointer("/Sessions"),
    "test_case_name": JsonPointer("/name"),
    "pdu_sessions": JsonPointer("/DefaultBearers"),
    "activation_rate": JsonPointer("/StartRate"),
    "deactivation_rate": JsonPointer("/DisconnectRate"),
    # mandatory test case parameters
    "nat_enabled": JsonPointer("/NetworkHostNatedTrafficEn"),
    "n6_interface": JsonPointer("/NetworkHostAddrLocal"),
    "gnb_n2": JsonPointer("/GnbControlAddr/ip"),
    "gnb_n6": JsonPointer("/NetworkHostAddrLocal/ip"),
    "sut_n6": JsonPointer("/NetworkHostAddrLocal/nextHop"),
    "sut_n6_interface": JsonPointer("/NetworkHostAddrLocal/forcedEthInterface"),
}
