#!/usr/bin/env python3
# Copyright 2022 Metaswitch Networks - Highly Confidential Material
"""Bot for posting messages to Teams."""

import pymsteams

# Change this url when the webhook is moved
webhook_url = "https://microsoft.webhook.office.com/webhookb2/f3a9c4ca-cff3-4f6e-88cd-eb4a19c7a15d@72f988bf-86f1-41af-91ab-2d7cd011db47/IncomingWebhook/ed55c57351614708a33c89074d46e048/101035ae-1043-46ee-a361-450f1f2de01c"
pipeline_url = "https://fake_example_pipeline_url.com"  # change later


def send_teams_message(message_text: str, successful_run: bool):
    """Method to construct and send a message to the Tsunami channel."""
    message = pymsteams.connectorcard(webhook_url)

    if successful_run:
        colour = "#00FE81"
    else:
        colour = "#ff2301"

    message.title("Stability Rig Alert")
    message.text(message_text + " More information: " + pipeline_url)
    message.color(colour)

    message.send()
    return
